Bug Hunting Session
Bug 55685 - CRASH when create or modify Character Style or Paragraph Style
Summary: CRASH when create or modify Character Style or Paragraph Style
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: Other Windows (All)
: medium blocker
Assignee: Caolán McNamara
URL:
Whiteboard: target:3.7.0
Keywords: regression
: 55560 (view as bug list)
Depends on:
Blocks: mab4.0
  Show dependency treegraph
 
Reported: 2012-10-06 07:47 UTC by Rainer Bielefeld Retired
Modified: 2012-10-12 09:52 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Bug 55685 - WinDbg session (22.86 KB, text/plain)
2012-10-08 15:25 UTC, bfoman (inactive)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-10-06 07:47:06 UTC
Steps how to reproduce with parallel installation of Master "LOdev  3.7.0.0.alpha0+   -  ENGLISH UI / German Locale  [Build ID: c7e559]"  {tinderbox: @16, pull time 2012-10-03 05:46:26}, own new profile, on German WIN7 Home Premium (64bit):

1. Launch LibO
2. Open New WRITER document from LibO Start Center
3. <f11> to launch styles pane if necessary
4. Click on "Default" if necessary
5. Right click -> context menu - Modify ...'
   Bug: Crash

Same with 
- New Style
- Calc
- DRAW


OK with  Server Installation of  "LibreOffice 3.6.3.0+  English UI/ German Locale [Build-ID:  1e73405] on German WIN7 Home Premium (64bit)  {tinderbox: Win-x86@9, pull time 2012-10-05 15:31:15}, so REGRESSION
Comment 1 Julien Nabet 2012-10-06 07:56:53 UTC
On pc Debian x86-64 with master sources updated today, I don't reproduce the pb with any of 3 LO applications.

Roman: would you have a little time to test on MacOs to know if it's a specific Windows bug?
Comment 2 Stephan van den Akker 2012-10-06 09:37:30 UTC
On openSuSE 12.2 (i686) with LO-master version 3.7.0.0.alpha0+ (Build ID: 3ec5db6)
(pulled 5 October 2012 20:30 CEST) this bug can not be reproduced.
Comment 3 Rainer Bielefeld Retired 2012-10-06 14:10:16 UTC
[Reproducible] with Server-installation of Master "3.7.0.alpha0+  – ENGLISH UI [Build ID: b255de8]" {tinderbox: Win-x86@16, pull time 2012-10-06 09:31:39} on German WIN7 Home Premium (64bit) UserInstallation=$SYSUSERCONFIG/LOdev/3

So I think this is NEW / WIN only

Caolán:
I saw that oyu fixed "Bug 40345 - [EDITING] SwAnchoredObject::GetAnchorFrm crash on loading styles from other document"; can you help here, too? Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf.
Comment 4 Roman Eisele 2012-10-06 17:21:42 UTC
(In reply to comment #1)
> Roman: would you have a little time to test on MacOs to know if it's a
> specific Windows bug?

Yes, seems Windows only: I can NOT reproduce this crash on Mac OS X 10.6.8 (Intel) with LOdev 3.7.0.0.alpha0+ (Build ID: dd11a1e; pull time: 2012-10-04 12.52.50). For me, the correct dialog window appears; at the moment, it has a strange look (far too wide), but I hope Caolán will improve this soon ;-).
Comment 5 Michael Meeks 2012-10-08 09:25:52 UTC
Any chance of a windows stack trace for this one ? 3.7 regressions are bad :-)
Comment 6 bfoman (inactive) 2012-10-08 15:25:43 UTC
Created attachment 68266 [details]
Bug 55685 - WinDbg session

Confirmed with:
LO 3.7.0.0.alpha0+ 
Build ID: e12f501
Pull time: 2012-10-01 05:02:30
Buildname: W2008R2@20-With-Symbol-Bytemark-Hosting 
Windows Server 2012 RC Datacenter 64 bit

Attached full WinDbg session. Please comment if such bts are any good.
ATM I have my own debug build with symbols and source code for 3.5.x branch only.
Comment 7 Michael Meeks 2012-10-08 15:52:42 UTC
Thanks for that:

WARNING: Stack unwind information not available. Following frames may be wrong.
00baf3f0 682b9ab9 00000002 00000001 00000000 svxcorelo!SvxLanguageBox::SetLanguageList+0x11
00baf470 682b9d3a 0a021100 007e572c 0192d4e4 cuilo!GetSpecialCharsForEdit+0x726c2
00baf4a0 6ad38100 0a0211f0 09fd2e60 dd5c7957 cuilo!GetSpecialCharsForEdit+0x72943
00baf51c 6ad38837 0a0211f0 dd5c7927 00000001 sfxlo!SfxTabDialog::ActivatePageHdl+0x9d

Not terribly useful sadly; it crashed in SetLanguageList - somewhere, but it's a big method, and it's hard to know what's up there.

Caolan - any thoughts on this master regression ? :-)
Comment 8 Michael Meeks 2012-10-08 15:53:17 UTC
Oh - and thanks anyhow for trying bfoman - much appreciated :-)
Comment 9 Caolán McNamara 2012-10-08 19:06:23 UTC
This is almost certainly my bug, but how is anyone managing to install a windows version for testing given bug 55290 ?
Comment 10 Caolán McNamara 2012-10-12 09:41:51 UTC
*** Bug 55560 has been marked as a duplicate of this bug. ***
Comment 11 Not Assigned 2012-10-12 09:51:56 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ac7f6120eab04a95185342e935c0bbca4d8cc43

Resolves: fdo#55685 SvxLanguageBox is in svxcore not in svx



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.